SDL_strrev(3)

NAME
SDL_strrev - Reverse a string's contents.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

char * SDL_strrev(char *str);

DESCRIPTION
This reverses a null-terminated string in-place. Only the content of the string is reversed; the null-terminator character remains at the end of the reversed string. WARNING : This function reverses the _bytes_ of the string, not the codepoints. If str is a UTF-8 string with Unicode codepoints > 127, this will ruin the string data. You should only use this function on strings that are completely comprised of low ASCII characters.

FUNCTION PARAMETERS

str the string to reverse.

RETURN VALUE
Returns str .

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.